## org.eclipse.emf.compare.diff.metamodel
Interface MoveModelElement

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, ModelElementChange, org.eclipse.emf.common.notify.Notifier, UpdateModelElement

All Known Subinterfaces:
  UpdateContainmentFeature

All Known Implementing Classes:
  MoveModelElementImpl, UpdateContainmentFeatureImpl

    public interface MoveModelElement

extends UpdateModelElement

A representation of the model object 'Move Model Element'. These describe a change of container for a given element.

The following features are supported:

- `Left Target`
- `Right Target`

See Also:
  `DiffPackage.getMoveModelElement()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getLeftTarget()` Returns the value of the 'Left Target' reference
`org.eclipse.emf.ecore.EObject` `getRightTarget()` Returns the value of the 'Right Target' reference
`void` `setLeftTarget(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Left Target`' reference
`void` `setRightTarget(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Right Target`' reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.UpdateModelElement
`getLeftElement, getRightElement, setLeftElement, setRightElement`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftTarget

    org.eclipse.emf.ecore.EObject getLeftTarget()

  Returns the value of the 'Left Target' reference.

  If the meaning of the 'Left Target' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Target' reference.
  See Also:
    `setLeftTarget(EObject)`, `DiffPackage.getMoveModelElement_LeftTarget()`

### getRightTarget

    org.eclipse.emf.ecore.EObject getRightTarget()

  Returns the value of the 'Right Target' reference.

  If the meaning of the 'Right Target' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Target' reference.
  See Also:
    `setRightTarget(EObject)`, `DiffPackage.getMoveModelElement_RightTarget()`

### setLeftTarget

    void setLeftTarget(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Left Target`' reference.

  Parameters:
    `value` - the new value of the 'Left Target' reference.
  See Also:
    `getLeftTarget()`

### setRightTarget

    void setRightTarget(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Right Target`' reference.

  Parameters:
    `value` - the new value of the 'Right Target' reference.
  See Also:
    `getRightTarget()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.